package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 14:08
 */
@Entity
@Table(name = "qc_inspection_data_source")
public class DataSource {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "qc_inspection_data_source_seq_gen")
    @SequenceGenerator(name = "qc_inspection_data_source_seq_gen", sequenceName = "qc_inspection_data_source_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 批次号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String lotNo;

    /**
     * 机器号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String machineNo;

    /**
     * 物料号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String materialNo;

    /**
     * 模具号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String modelNo;

    /**
     * 机种号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String machineTypeNo;

    /**
     * 检验项代码
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectionItemCode;

    /**
     * 工艺项目名称
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String craftItemName;

    /**
     * 检验数值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectValue;

    public DataSource() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getMachineTypeNo() {
        return machineTypeNo;
    }

    public void setMachineTypeNo(String machineTypeNo) {
        this.machineTypeNo = machineTypeNo;
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getCraftItemName() {
        return craftItemName;
    }

    public void setCraftItemName(String craftItemName) {
        this.craftItemName = craftItemName;
    }

    public String getInspectValue() {
        return inspectValue;
    }

    public void setInspectValue(String inspectValue) {
        this.inspectValue = inspectValue;
    }

    @Override
    public String toString() {
        return "DataSource{" +
                "id=" + id +
                ", lotNo='" + lotNo + '\'' +
                ", machineNo='" + machineNo + '\'' +
                ", materialNo='" + materialNo + '\'' +
                ", modelNo='" + modelNo + '\'' +
                ", machineTypeNo='" + machineTypeNo + '\'' +
                ", inspectionItemCode='" + inspectionItemCode + '\'' +
                ", craftItemName='" + craftItemName + '\'' +
                ", inspectValue='" + inspectValue + '\'' +
                '}';
    }
}
